package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.Map;

import javax.persistence.*;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Konsultasi;
import com.jasamedika.medifirst2000.entities.StrukOrder;
import com.jasamedika.medifirst2000.entities.StrukRetur;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AntrianPasienDiPeriksa
 * 
 * @author Adik
 */
public class GridAntrianPasienDiPeriksaVO  extends BaseTransactionVO {
	
	private PasienVO pasien;
	private RuanganVO ruangan;
	private PasienDaftarVO pasienDaftar;
	private KonsultasiVO konsultasi;
	private KelasVO kelas ;
	private AsalRujukanVO asalRujukan;
	private Map<String,Object> strukOrder;
	
	private String statusKeluar;
	private String pemeriksaan;
	private String noRec;
	private String StudyId;
	private String noMrPacs;
	private String jenisKelamin;
	private String kelompokPasien;
	private String noOrder;
	private String noMasuk;
	private String workStation;
	private String noRegistrasi;
	private String statusAntrian;
	private String dokter;
	
	private Integer noAntrian;
	private Integer idPemeriksaan;

	private Boolean isKajianAwal;

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public PasienDaftarVO getPasienDaftar() {
		return pasienDaftar;
	}

	public void setPasienDaftar(PasienDaftarVO pasienDaftar) {
		this.pasienDaftar = pasienDaftar;
	}

	public KonsultasiVO getKonsultasi() {
		return konsultasi;
	}

	public void setKonsultasi(KonsultasiVO konsultasi) {
		this.konsultasi = konsultasi;
	}

	public KelasVO getKelas() {
		return kelas;
	}

	public void setKelas(KelasVO kelas) {
		this.kelas = kelas;
	}

	public AsalRujukanVO getAsalRujukan() {
		return asalRujukan;
	}

	public void setAsalRujukan(AsalRujukanVO asalRujukan) {
		this.asalRujukan = asalRujukan;
	}

	public Map<String, Object> getStrukOrder() {
		return strukOrder;
	}

	public void setStrukOrder(Map<String, Object> strukOrder) {
		this.strukOrder = strukOrder;
	}

	public String getStatusKeluar() {
		return statusKeluar;
	}

	public void setStatusKeluar(String statusKeluar) {
		this.statusKeluar = statusKeluar;
	}

	public String getPemeriksaan() {
		return pemeriksaan;
	}

	public void setPemeriksaan(String pemeriksaan) {
		this.pemeriksaan = pemeriksaan;
	}

	public String getNoRec() {
		return noRec;
	}

	public void setNoRec(String noRec) {
		this.noRec = noRec;
	}

	public String getStudyId() {
		return StudyId;
	}

	public void setStudyId(String studyId) {
		StudyId = studyId;
	}

	public String getNoMrPacs() {
		return noMrPacs;
	}

	public void setNoMrPacs(String noMrPacs) {
		this.noMrPacs = noMrPacs;
	}

	public String getJenisKelamin() {
		return jenisKelamin;
	}

	public void setJenisKelamin(String jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	public String getKelompokPasien() {
		return kelompokPasien;
	}

	public void setKelompokPasien(String kelompokPasien) {
		this.kelompokPasien = kelompokPasien;
	}

	public String getNoOrder() {
		return noOrder;
	}

	public void setNoOrder(String noOrder) {
		this.noOrder = noOrder;
	}

	public String getNoMasuk() {
		return noMasuk;
	}

	public void setNoMasuk(String noMasuk) {
		this.noMasuk = noMasuk;
	}

	public String getWorkStation() {
		return workStation;
	}

	public void setWorkStation(String workStation) {
		this.workStation = workStation;
	}

	public String getNoRegistrasi() {
		return noRegistrasi;
	}

	public void setNoRegistrasi(String noRegistrasi) {
		this.noRegistrasi = noRegistrasi;
	}

	public String getStatusAntrian() {
		return statusAntrian;
	}

	public void setStatusAntrian(String statusAntrian) {
		this.statusAntrian = statusAntrian;
	}

	public String getDokter() {
		return dokter;
	}

	public void setDokter(String dokter) {
		this.dokter = dokter;
	}

	public Integer getNoAntrian() {
		return noAntrian;
	}

	public void setNoAntrian(Integer noAntrian) {
		this.noAntrian = noAntrian;
	}

	public Integer getIdPemeriksaan() {
		return idPemeriksaan;
	}

	public void setIdPemeriksaan(Integer idPemeriksaan) {
		this.idPemeriksaan = idPemeriksaan;
	}

	public Boolean getIsKajianAwal() {
		return isKajianAwal;
	}

	public void setIsKajianAwal(Boolean isKajianAwal) {
		this.isKajianAwal = isKajianAwal;
	}
	
}

